Bug 557917 - Review Request: gnome-activity-journal - GUI to browse and search your Zeitgeist activities
Summary: Review Request: gnome-activity-journal - GUI to browse and search your Zeitge...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-22 19:42 UTC by Mads Villadsen
Modified: 2010-04-10 10:30 UTC (History)
4 users (show)

Fixed In Version: gnome-activity-journal-0.3.3-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-23 20:50:29 UTC
mclasen: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Mads Villadsen 2010-01-22 19:42:56 UTC
Spec URL: http://krakoa.dk/fedora/gnome-activity-journal.spec
SRPM URL: http://krakoa.dk/fedora/gnome-activity-journal-0.3.2-1.fc12.src.rpm
Description: GUI to browse and search your Zeitgeist activities

With Zeitgeist now in Fedora (https://bugzilla.redhat.com/show_bug.cgi?id=543159) it makes sense to package the activity journal as well as it is a nice companion program to Zeitgeist.

Comment 1 Michael Monreal 2010-01-25 09:20:24 UTC
The description mentions "full-text search through Tracker" but as we don't have tracker 0.7.x, I don't think your rpm will actually provide any tracker functionality.

Would be nice to have the new tracker anyway because it is said to work much better than 0.6.x and it had 18 releases in the past 4 month :)

Comment 2 Mads Villadsen 2010-01-26 19:35:11 UTC
You are of course correct. The Tracker functionality is only enabled at runtime if the new Tracker is installed. I will remove that part from the description.

And I would like the new Tracker in Fedora as well. Hopefully it will be packaged up soon enough.

Comment 3 Matthias Clasen 2010-02-24 02:13:47 UTC
package builds ok with rpmbuild --rebuild, but fails in mock with

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.kOjG7v
+ umask 022
+ cd /builddir/build/BUILD
+ cd gnome-activity-journal-0.3.2
+ LANG=C
+ export LANG
+ unset DISPLAY
+ /usr/bin/python setup.py build
running build
running build_i18n
intltool-update -p -g gnome-activity-journal
unable to execute intltool-update: Permission denied
error: command 'intltool-update' failed with exit status 1


rpmlint says:

$ rpmlint ~/rpmbuild/RPMS/noarch/gnome-activity-journal-0.3.2-1.fc13.noarch.rpm 
gnome-activity-journal.noarch: W: dangling-symlink /usr/share/gnome-activity-journal/data/icons /usr/share/icons
gnome-activity-journal.noarch: W: dangling-symlink /usr/share/pixmaps/gnome-activity-journal.svg /usr/share/gnome-activity-journal/data/icons/hicolor/scalable/apps/gnome-activity-journal.svg
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

In fact, those links are dangling, and the idea to link
/usr/share/gnome-activity-journal/data/icons -> /usr/share/icons looks _very_ dubious to me.

Comment 4 Matthias Clasen 2010-02-24 02:26:05 UTC
Some preliminary comments about the spec:

# sitelib for noarch packages, sitearch for others (remove the unneeded one)
Since you already removed the unneeded one, the comment should probably go

Summary:        GUI to browse and search your Zeitgeist activities
I really hate the term 'GUI'. Can we go with 'Tool' or something like that ?

Group:          Development/Languages
Not important at all, but the group seems wrong

Source1:        %{name}.desktop
This should really go upstream, since it needs translations

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Not a big deal, but not really needed anymore nowadays, rpmbuild can figure it out on its own.

%{_datadir}/icons/hicolor/*/*
Since  you are installing icons, you need to do the icon cache dance in %post, %postun, %posttrans, etc...

Comment 5 Matthias Clasen 2010-02-24 02:47:56 UTC
checklist:

package name: ok
spec file name: ok
packaging guidelines: see above for my overall spec file comments
license: ok
license field: ok
license file: none in the tarball, might want to talk upstream into shipping it
spec file language: ok
readability: ok
upstream sources: ok, but there's a newer release 
buildable: see above, doesn't build in mock
ExcludeArch: none, ok
BuildRequires: ok
locale handling: ok
ldconfig: ok
system libraries: ok
relocatable: no, ok
directory ownership: ok
duplicate files: ok
file permissions: ok
%clean: ok
macro use: ok
content: permissible
large docs: ok
%doc content: ok
headers: ok
static libs: ok
pc files: ok
shared libs: ok
devel deps: ok
libtool archives: ok
gui apps: ok
directory ownership: ok
%install: ok
utf8 filenames: ok

Comment 6 Mads Villadsen 2010-02-26 13:51:47 UTC
I have made a new version of the spec file and updated to the latest version of gnome-activity-journal.

Spec URL: http://krakoa.dk/fedora/gnome-activity-journal.spec
SRPM URL: http://krakoa.dk/fedora/gnome-activity-journal-0.3.3-1.fc12.src.rpm

I also made a scratch build here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2015931

I have addressed the things you mentioned with the exception of the buildroot as removing that gave an rpmlint warning.

I have made a more comprehensive patch to the installation of gnome-activity-journal (the get rid of the symlinks among other things) and I have sent it to their mailing list for comments.

Comment 7 Matthias Clasen 2010-02-26 14:40:49 UTC
Thanks, looks much better now.

Builds fine in mock, rpmlint says:

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/gnome-activity-journal-0.3.3-1.fc14.noarch.rpm 
gnome-activity-journal.noarch: W: non-conffile-in-etc /etc/gconf/schemas/gnome-activity-journal.schemas
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


I personally find %{__python} and %{__install} silly, but that doesn't prevent me from moving this to APPROVED.

Comment 8 Matthias Clasen 2010-02-26 15:10:32 UTC
Oh, I forgot one thing I wanted to point out:

Please update the icon cache handling to the current recommendation:
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

Comment 9 Mads Villadsen 2010-02-26 15:26:49 UTC
New Package CVS Request
=======================
Package Name: gnome-activity-journal
Short Description: Browse and search your Zeitgeist activities
Owners: maxx
Branches: F-12 F-13
InitialCC:

Comment 10 Jason Tibbitts 2010-02-26 17:53:07 UTC
CVS done (by process-cvs-requests.py).

Comment 11 Matthias Clasen 2010-03-23 02:46:41 UTC
Mads, did you want to build this ?

Comment 12 Mads Villadsen 2010-03-23 04:56:41 UTC
Yes. Sorry, I've just been really busy with other things. I'll get it done this week.

Comment 13 Fedora Update System 2010-03-23 20:33:35 UTC
gnome-activity-journal-0.3.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnome-activity-journal-0.3.3-1.fc13

Comment 14 Fedora Update System 2010-03-23 20:49:22 UTC
gnome-activity-journal-0.3.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnome-activity-journal-0.3.3-1.fc12

Comment 15 Mads Villadsen 2010-03-23 20:50:29 UTC
Built for F-12, F-13, and devel. Closing.

Comment 16 Fedora Update System 2010-04-09 21:08:17 UTC
gnome-activity-journal-0.3.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-04-10 10:30:26 UTC
gnome-activity-journal-0.3.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.